Create list

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
POST /lists

Create a new list. The number of lists a workspace can have depends on its plan; a 400 error is returned when the plan limit is reached.

Default rate limit: 60 requests per minute.

application/json

Body

  • name string Required
  • type string Required

    The type of items a list holds

    Values are strings, locations, phone_numbers, urls, ips, or regexes.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • success boolean
    • listId string
  • 400 application/json

    The request is invalid, see the error field for details

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
POST /lists
curl \
 --request POST 'https://api.lassomoderation.com/api/v1/lists' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"name\": \"Bad word list\",\n  \"type\": \"strings\"\n}"'
Request example
{
  "name": "Bad word list",
  "type": "strings"
}
Response examples (200)
{
  "success": true,
  "listId": "clp765qpz06r0saam8dv1p6uh"
}
Response examples (400)
{
  "success": false,
  "error": {
    "content_id": "Value can be at most 100 characters"
  }
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}